Joomla 4.1.1 ile Joomla 3.10.7 Yayınlandı



Joomla projesi geliştirici takımı Joomla 4.1.1 stabil sürümünü ve Joomla 3 den Joomla 4 e geçişte köprü görevi görecek olan Joomla 3.10.7 sürümünü yayınladı. Bu sürümler 9 adet güvenlik açığını gideren ve çeşitli hata düzeltmeleri ve iyileştirmeler içeren Joomla nın hem 4.x hem de 3.x serisi için birer güvenlik sürümüleridir.

Joomla 4.1.1 ve Joomla 3.10.7 ile Giderilen Güvenlik Sorunları
Düşük Önem Derecesi - Orta Etki - Tar çıkarıcı içinde Zip Slip ( Joomla! 3.0.0 - 3.10.6 ve 4.0.0 - 4.1.0 ı etkiler)
Düşük Önem Derecesi - Düşük Etki - Dosya sistemi hata mesajlarında Yol Açıklaması ( Joomla! 3.0.0 - 3.10.6 ve 4.0.0 - 4.1.0 ı etkiler )
Düşük Önem Derecesi - Yüksek Etki - Kullanıcı satırı bir kimlik doğrulama mekanizmasına bağlı değildir ( Joomla! 2.5.0 ila 3.10.6 ve 4.0.0 ila 4.1.0 ı etkiler )
Düşük Önem Derecesi - Yüksek Etki - Seçilen Kimlikler üzerinde yetersiz filtreleme ( Joomla! 3.0.0 - 3.10.6 ve 4.0.0 - 4.1.0 ı etkiler )
Düşük Önem - Düşük Etki - Dahili URL lerin yetersiz doğrulaması ( Joomla! 2.5.0 ila 3.10.6 ve 4.0.0 ila 4.1.0 ı etkiler )
Düşük Önem Derecesi - Orta Etki - JInput $_REQUEST verilerinde Değişken Kurcalama ( Joomla! 4.0.0 - 4.1.0 ı etkiler )
Düşük Önem Derecesi - Orta Etki - Filtre kodu içinde yetersiz içerik filtreleme ( Joomla! 4.0.0 ile 4.1.0 ı etkiler )
Düşük Önem Derecesi - Orta Etki - SVG aracılığıyla XSS saldırı vektörü ( Joomla! 4.0.0 dan 4.1.0 a kadar etkilenir )
Düşük Önem Derecesi - Orta Etki - com_fields sınıfı girişlerinde eksik giriş doğrulaması ( Joomla! 3.7.0 - 3.10.6 yı etkiler )

Joomla 4.1.1 hata düzeltmeleri ve iyileştirmeler
TinyMCE'de dil dizeleri davranışının düzeltilmesi.
TinyMCE'de sözdizimi vurgulaması için düzeltme anahtarı.
Başarısız görevlerin zamanlayıcıda gösterimi.
Jooa11y parametrelerinin doğru kullanımı.
Codemirror geliştirmeleri.
Birkaç PHP 8.x düzeltmesi.

Joomla 3.10.7 hata düzeltmeleri ve iyileştirmeler
CVE-2021-41184 için Backport JQuery UI güvenlik düzeltme eki.
3.10.7+ yeni kurulum için Google Yazı Tipleri ayarını devre dışı bırakın.
İstenmeden değiştirilen yönlendirme değerlerinin güncellenmesi düzeltildi.
FLoC ayarını terk edildiği için kaldırın.
E-Posta Pelerini : 10 a kadar olan TLD ler artık ? tarihine kadar kesilmeyecek.
Gizlilik Onayı ifadesi Katılıyorum ve katılmıyorum.

Joomla 4.x kullanıyorsanız sitenizi Joomla 4.1.1 e güncelleyebilirsiniz.
Joomla 3.x den Joomla 3.10.7 ye güncellemede fayda gürüyoruz.

Güncelleme işleminden önce sitenizin yedeğini almayı unutmayınız.

Joomla 4.1.1 genel sürümü ( İngilizce ) indirmek için tıklayınız.
Joomla 3.10.7 genel sürümü ( İngilizce ) indirmek için tıklayınız.
Joomla 3.10.7 ye yükseltme paketini ( İngilizce ) indirmek için tıklayınız.
Joomla 3.10.x ve Joomla 4.1.x sistem gereksinimlerini öğrenmek için tıklayınız.




© 2022 Joomladestek.org
[ joomladestek.org ] is not affiliated with or endorsed by The Joomla! Project™ or Open Source Matters.
The Joomla!® name and logo is used under a limited license granted by Open Source Matters the trademark holder in the United States and other countries..